Package writer2xhtml.api

# Class MIMETypes

java.lang.Object
writer2xhtml.api.MIMETypes

public class MIMETypes extends Object
This class provides definitions of MIME types used by LibreOffice and Writer2xhtml (some are not genuine MIME types, but are used internally in Writer2xhtml)

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BMP`
Constant defining the MIME type for BMP-files
`static final String`
`EMF`
Constant defining the MIME type for EMF-files
`static final String`
`EPS`
Constant defining the MIME type for EPS-files
`static final String`
`EPUB`
Constant defining the MIME type for EPUB-files
`static final String`
`EPUB3`
Constant defining the MIME type for EPUB 3-files (This is a fake MIME type, for internal use only)
`static final String`
`GIF`
Constant defining the MIME type for GIF-files
`static final String`
`HTML5`
Constant defining the MIME type for HTML5-files (This is a fake MIME type, for internal use only)
`static final String`
`JPEG`
Constant defining the MIME type for JPEG-files
`static final String`
`PDF`
Constant defining the MIME type for PDF-files
`static final String`
`PNG`
Constant defining the MIME type for PNG-files
`static final String`
`SVG`
Constant defining the MIME type for SVG-files
`static final String`
`SVM`
Constant defining the MIME type for SVM-files
`static final String`
`TIFF`
Constant defining the MIME type for TIFF-files
`static final String`
`WMF`
Constant defining the MIME type for WMF-files
`static final String`
`XHTML`
Constant defining the MIME type for XHTML-files
`static final String`
`XHTML_MATHML`
Constant defining the MIME type for XHTML+MathML-files
`static final String`
`XHTML11`
Constant defining the MIME type for XHTML 1.1-files (This is a fake MIME type, for internal use only)

## Constructor Summary

Constructors
Constructor
Description
`MIMETypes()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PNG

public static final String PNG
Constant defining the MIME type for PNG-files

See Also:
  - Constant Field Values

### JPEG

public static final String JPEG
Constant defining the MIME type for JPEG-files

See Also:
  - Constant Field Values

### GIF

public static final String GIF
Constant defining the MIME type for GIF-files

See Also:
  - Constant Field Values

### TIFF

public static final String TIFF
Constant defining the MIME type for TIFF-files

See Also:
  - Constant Field Values

### BMP

public static final String BMP
Constant defining the MIME type for BMP-files

See Also:
  - Constant Field Values

### EMF

public static final String EMF
Constant defining the MIME type for EMF-files

See Also:
  - Constant Field Values

### WMF

public static final String WMF
Constant defining the MIME type for WMF-files

See Also:
  - Constant Field Values

### EPS

public static final String EPS
Constant defining the MIME type for EPS-files

See Also:
  - Constant Field Values

### SVG

public static final String SVG
Constant defining the MIME type for SVG-files

See Also:
  - Constant Field Values

### SVM

public static final String SVM
Constant defining the MIME type for SVM-files

See Also:
  - Constant Field Values

### PDF

public static final String PDF
Constant defining the MIME type for PDF-files

See Also:
  - Constant Field Values

### XHTML

public static final String XHTML
Constant defining the MIME type for XHTML-files

See Also:
  - Constant Field Values

### XHTML11

public static final String XHTML11
Constant defining the MIME type for XHTML 1.1-files (This is a fake MIME type, for internal use only)

See Also:
  - Constant Field Values

### XHTML_MATHML

public static final String XHTML_MATHML
Constant defining the MIME type for XHTML+MathML-files

See Also:
  - Constant Field Values

### HTML5

public static final String HTML5
Constant defining the MIME type for HTML5-files (This is a fake MIME type, for internal use only)

See Also:
  - Constant Field Values

### EPUB

public static final String EPUB
Constant defining the MIME type for EPUB-files

See Also:
  - Constant Field Values

### EPUB3

public static final String EPUB3
Constant defining the MIME type for EPUB 3-files (This is a fake MIME type, for internal use only)

See Also:
  - Constant Field Values

## Constructor Details

### MIMETypes

public MIMETypes()